#include <conio.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

int main(int argc, char* argv[])
{
		float ambient, diffuse, angles, modc = 1;
		unsigned char sunflag = 0;

  sunflag = (char)atoi(argv[1]);

	modc = 1; // 2X

	for (angles = 0.0f; angles < 13.0f; angles ++)
	{

		float ac = 0.7f - ((float)fabs(angles - 12.0f) * 0.05f);
		printf("%02.0f:00",angles);

		printf(" HEMI %2.2f, %2.2f, %2.2f ; ",ac,ac,ac,1.0f);

		float dc = (((ac*2.5f) > 1) ? 1.0f : ac*2.5f);

		if (modc == 2) dc = (((ac*1.5f) > 0.6) ? 0.6f : ac*1.5f);
		// for (int sunflag = 0; sunflag < 4; sunflag++)
	  {	

		if (!sunflag)
		{
		if (angles < 12.0f)
		printf("SUN(%d) - %2.2f, %2.2f, %2.2f ;",sunflag, dc,ac,ac/2,1.0f);
		else
		printf("SUN(%d) - %2.2f, %2.2f, %2.2f ;",sunflag, dc,dc,ac,1.0f);
		}
		else if (sunflag == 1) printf("SUN(%d) - %2.2f, %2.2f, %2.2f ;",sunflag, dc,dc,dc,1.0f);
		else if (sunflag == 2) printf("SUN(%d) - %2.2f, %2.2f, %2.2f ;",sunflag, dc,ac,ac/2,1.0f);
		else if (sunflag == 3) printf("SUN(%d) - %2.2f, %2.2f, %2.2f ;",sunflag, dc,dc,ac,1.0f);
		printf(" RES = %2.2f, %2.2f, %2.2f\n",
			(dc * modc * 0.5f), 
			(dc * modc * 0.75f), 
			(dc * modc * 1.0f));
		}
	}
	printf("HEMI(ac) is 0.05 - 0.7\n");
	printf("SUN is (0.5,x,x) - (1.0,x,x)\n");
	printf("SUN = HEMI * 2.5\n");
	printf("MODC = %d, SUNFLAG = %d\n",modc,sunflag);
	return 0;
	}

